function ListViewModel(service) {
    var self = this;
    this.loaded = ko.observable(false);


    this.outcomes = ko.observableArray();

    this.loadOutcomes = function () {
        service.getOutcomes()
            .done(vm.outcomes)
            .fail(function (jqxhr, textStatus, error) {
                alert(error);
            })
            .always(function () { self.loaded(true); });


    };
};